_Eolian_Class Struct Reference

## Data Fields

Eolian_Object | base
Eolian_Class_Type | type
Eolian_Documentation * | doc
Eina_Stringshare * | c_prefix
Eina_Stringshare * | ev_prefix
Eina_Stringshare * | data_type
union { |
Eolian_Class * parent |
Eina_Stringshare * parent_name |
}; |
Eina_List * | extends
Eina_List * | properties
Eina_List * | methods
Eina_List * | implements
Eina_List * | constructors
Eina_List * | events
Eina_List * | parts
Eina_List * | composite
Eina_List *Eina_List * | callables
Eina_Bool | class_ctor_enable:1
Eina_Bool | class_dtor_enable:1